org.bootchart

## Class Main

- java.lang.Object
- - org.bootchart.Main

-     public class Main
      extends java.lang.Object

  Bootchart main class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Main()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Main.
    `static java.lang.String` | `render(java.io.File logFile, java.lang.String format, boolean prune, java.lang.String fileName)` Parses the bootchart log tarball from the log tarball or directory and renders the chart to the output stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Main

          public Main()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Main.
      Parameters:
        `args` - command arguments
      Throws:
        `java.lang.Exception` - if an error occurs

    - #### render

          public static java.lang.String render(java.io.File logFile,
                                                java.lang.String format,
                                                boolean prune,
                                                java.lang.String fileName)
                                         throws java.io.IOException

      Parses the bootchart log tarball from the log tarball or directory and renders the chart to the output stream.
      Parameters:
        `logFile` - log tarball or directory
        `format` - image format (png, svg or eps)
        `prune` - whether to prune the tree
        `fileName` - file name prefix
      Returns:
        rendered image file path
      Throws:
        `java.io.IOException` - if an I/O error is thrown